<!DOCTYPE html>
<html lang="en" xmlns:th="http://thymeleaf.org">
<!-- Required meta tags -->
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>LIST PENGELOLAAN AKUN</title>
  <!-- Bootstrap CSS -->

  <link href='https://unpkg.com/boxicons@2.0.7/css/boxicons.min.css' rel='stylesheet'>
<!--  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-KK94CHFLLe+nY2dmCWGMq91rCGa5gtU4mk92HdvYe+M/SXH301p5ILy+dN9+nJOZ" crossorigin="anonymous">-->
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

  <link rel="stylesheet" th:href="@{/css/list-pengelolaan-faq.css}">
  <link rel="stylesheet" th:href="@{/css/sidebar.css}">


  <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

</head>


<body>

<div th:replace="fragments/fragment.html :: side-bar-admin" />

<section class="content-sidebar-section">
  <div class="text">Frequently Asked Questions Management
  </div>
  <div class="list-penyelenggara-wrapper">
    <form>
      <div class="form-group layout-form card-table-2 stretch-card">
        <a id="buttonDetail-3"
           onmouseover="this.style.backgroundColor='#e75458'; this.style.color='#fff';"
           onmouseout="this.style.backgroundColor='#F67280'; this.style.color='#fff';"
           style="; background: #ffff; border: 1px solid #F67280; border-radius: 10px;color: #F67280; padding: 10px 20px; font-size: 16px; font-weight: bold; text-decoration: none; height: 40px;"
           th:href="@{/admin/dashboard/pengelolaan-faq/add}"
           class="btn-primary"> + Add
        </a>
      </div>
    </form>


    <div style="padding: 20px; margin-top: 20px" class="card-table stretch-card shadow-lg ">
      <div class="col-lg-12">
        <main>
          <div class="container main" style="align-items: start;">
            <tbody class="table-responsive">
            <table class="table">
              <thead>
              <tr>
                <th>Question</th>
                <th>Action</th>
              </tr>
              </thead>
              <tbody id="tableBody">
              <script>
                  $(function() {
                      $('#tableBody').load(`/admin/dashboard/pengelolaan-faq/table-body-pengelolaan-faq.html`);
                  });
              </script>
              </tbody>
            </table>
          </div>
        </main>
      </div>
    </div>

  </div>

</section>
<script>
    let sidebar = document.querySelector(".sidebar");
    let closeBtn = document.querySelector("#btn");

    closeBtn.addEventListener("click", ()=>{
        sidebar.classList.toggle("open");
        console.log("Button clicked!"); //tambahkan console log
        console.log(sidebar.classList);
        menuBtnChange();//calling the function(optional)
    });

    // following are the code to change sidebar button(optional)
    function menuBtnChange() {
        if(sidebar.classList.contains("open")){
            closeBtn.classList.replace("bx-menu", "bx-menu-alt-right");//replacing the icons class
        }else {
            closeBtn.classList.replace("bx-menu-alt-right","bx-menu");//replacing the icons class
        }
    }

    function submitForm(event) {
        event.preventDefault(); // prevent the form from submitting

        // Get the selected value of the status dropdown
        var statusDropdown = document.getElementById("statusDropdown");
        var selectedStatus = statusDropdown.options[statusDropdown.selectedIndex].value;

        // Get the selected value of the role dropdown
        var roleDropdown = document.getElementById("roleDropdown");
        var selectedRole = roleDropdown.options[roleDropdown.selectedIndex].value;

        // Get the value of the search input
        var searchInput = document.querySelector(".nosubmit.form-control");
        var searchValue = searchInput.value;

        // Do something with the values
        console.log("Selected status: " + selectedStatus);
        console.log("Selected role: " + selectedRole);
        console.log("Search value: " + searchValue);

        $(function() {
            $('#tableBody').load(`/admin/dashboard/pengelolaan-akun/table-body-pengelolaan-akun.html?status=${selectedStatus}&role=${selectedRole}&search=${searchValue}`);
        });
    }



</script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>

</body>

</html>